# Gimp.Gradient.segment_range_blend_opacity

    @accepts(Gimp.Gradient, int, int)
    @returns(bool)
    def segment_range_blend_opacity(self, start_segment, end_segment):
        # Python wrapper for gimp_gradient_segment_range_blend_opacity()

Blend the opacity of the segment range.

Blends the opacity (but not the colors) of the range of segments. The opacity's transition will then be uniform across the range. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

self

  The gradient.

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

Returns